E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
G::Md5Imp::block Class Reference

A helper class used by the Md5Imp::digest implementation to represent a 64-character data block. More...

## Public Member Functions
| block (const std::string &s, small_t block_offset, big_t end_value)
big_t | X (small_t) const
| block (const block &)=delete
| block (block &&)=delete
void | operator= (const block &)=delete
void | operator= (block &&)=delete

## Static Public Member Functions
static big_t | end (small_t data_length)
static small_t | blocks (small_t data_length)

## Detailed Description

A helper class used by the Md5Imp::digest implementation to represent a 64-character data block.

Definition at line 127 of file gmd5.cpp.

## Constructor & Destructor Documentation

## ◆ block()

G::Md5Imp::block::block | ( | const std::string & | s,
|  | small_t | block_offset,
|  | big_t | end_value
| ) |  |

Definition at line 427 of file gmd5.cpp.

## Member Function Documentation

## ◆ blocks()

G::Md5Imp::small_t G::Md5Imp::block::blocks | ( | small_t | data_length | ) |
| static

Definition at line 447 of file gmd5.cpp.

## ◆ end()

G::Md5Imp::big_t G::Md5Imp::block::end | ( | small_t | data_length | ) |
| static

Definition at line 434 of file gmd5.cpp.

## ◆ X()

G::Md5Imp::big_t G::Md5Imp::block::X | ( | small_t | dword_index | ) | const

Definition at line 453 of file gmd5.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gmd5.cpp